FreeMat

- Main Page
- Related Pages

vtkNonMergingPointLocator

Section: Visualization Toolkit Filtering Classes

# Usage

As a special sub-class of vtkPointLocator, vtkNonMergingPointLocator is intended for direct / check-free insertion of points into a vtkPoints object. In other words, any given point is always directly inserted. The name emphasizes the difference between this class and its sibling class vtkMergePoints in that the latter class performs check-based zero tolerance point insertion (or to 'merge' exactly duplicate / coincident points) by exploiting the uniform bin mechanism employed by the parent class vtkPointLocator. vtkPointLocator allows for generic (zero and non- zero) tolerance point insertion as well as point location.

To create an instance of class vtkNonMergingPointLocator, simply invoke its constructor as follows

      obj = vtkNonMergingPointLocator

# Methods

The class vtkNonMergingPointLocator has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkNonMergingPointLocator class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkNonMergingPointLocator = obj.NewInstance ()`
- `vtkNonMergingPointLocator = obj.SafeDownCast (vtkObject o)`